TL2000 Upgrade LTO-4 to LTO-6 - PowerVault Storage Forum - Storage - Dell Community

TL2000 Upgrade LTO-4 to LTO-6

Storage

Storage
Information and ideas on Dell storage solutions, including DAS, NAS, SAN and backup.

TL2000 Upgrade LTO-4 to LTO-6

  • Hello,

    I'm having issues upgrading the tape drive in our Powervault TL 2000. It is connected to a Windows Server 2012 R2 server via a SAS switch.

    While connected with the LTO-4 tape drive installed, Windows and DPM recognize the media changer and the tape drive.

    Once I install the brand new LTO-6 drive in the tape library, it brings the drive online, scans, then says ready but after a few minutes the status changes to "HE: drive logged out Code: FB 01". While the LTO-6 drive is installed Windows and ITDT only sees the tape drive not the media changer and DPM only shows a standalone drive. When trying to upgrade the drive firmware on the web interface I received the error "Error During Firmware Upgrade: IR: SCSI invalid opcode !"  but I was able to update the firmware for the drive via ITDT on the server. The web interface of the library is still showing the firmware and drive product ID of the LTO-4 drive.

    The library is on E.30 firmware and the drive is on G9P1. If I swap the drives back to the LTO-4 everything works as expected. 

    Any help is appreciated.

    Thanks!

  • Hello vdixonerg,

    What you need to do is to flash the library firmware with the LTO6 drive installed so that it can change it in the database of the TL2000 so it will show correctly on your server. The TL checks for the drives serial# when the firmware is flashed. This is the same process that is done when you replaced a failed drive is that you need to flash the firmware so that the TL see the replacement drive correctly.

    Please let us know if you have any other questions.

    DELL-Sam L
    Dell | Social Outreach Services - Enterprise
    Download the Dell Quick Resource Locator app today to access PowerEdge support content on your mobile device! (iOS, Android, Windows)

  • Thanks for your reply. Is there any written documentation on the correct process for flashing the firmware?

    Thanks!

  • you can do it through the web gui or through "itdt" just select the firmware file and it will upload and flash it

  • I have already upgraded the firmware through the web interface for the library to E.30. I just tried it again to confirm that the LTO-6 drive installed when I did it, but it still shows a LTO-4 drive installed. ITDT only sees the tape drive not the library while the LTO-6 drive is installed.

  • Basically you need to refresh the library config

    From the manual

    Use the Web UI to update the Logical Library (Configure Library > Logical
    Libraries) and Drive (Configure Library > Drives) configurations

    Select Submit on the Configure Library
    > Logical Libraries web page even if there are no changes. This action refreshes
    the Data Transfer Element (DTE) for the drives

    last option reset library to defaults should sort it.

  • I have gone through those steps from the manual. When I click configure Logical Libraries it marks the drive disabled but still shows the LTO-4 information. Then under Configure Library > Drives it brings the drive back online and then the library shows the status HE: drive logged out Code: FB 01. I have even done a full factory reset on the library and tried to configure the drive but I'm still getting the drive logged out status. 

  • Then there may be an issue with the drive itself, i have a unit here and it gets all types of drives put into it daily and just recognizes the drive once powered on.

  • Hello vdixonerg,

    Where did you purchase your LTO6 drive from? It sounds like the LTO6 drive is not logging in to the TL & that is why you are not seeing it. On your LTO6 drive did you have the drive sled attached to it or did you remove it from your LTO4 drive?

    Please let us know if you have any other questions.

    DELL-Sam L
    Dell | Social Outreach Services - Enterprise
    Download the Dell Quick Resource Locator app today to access PowerEdge support content on your mobile device! (iOS, Android, Windows)

  • I am having this issue. My new drive didnt come with a sled so i used the old one. can i not do this?

    also can i run different lto generations at the same time?

  • Hello RaVell,

    The TL2000 can run different version of LTO drives at the same time. When you replaced your drive did you flash the library firmware and the drive firmware? What is the manufacture of the LTO drive that you are trying to use in your TL2000?

    Please let us know if you have any other questions.

    DELL-Sam L
    Dell | Social Outreach Services - Enterprise
    Download the Dell Quick Resource Locator app today to access PowerEdge support content on your mobile device! (iOS, Android, Windows)

  • I did flash the library firmware. but i couldnt access the drive to flash it. it is a dell lto 4 drive

  • Hello RaVell,

    Have you stopped all of your backup software services, & then try to see if you can flash the drive using ITDT? Also have you tried to flash the drive using the web utility on your TL2000, or is that greyed out as well?

    Please let us know if you have any other questions.

    DELL-Sam L
    Dell | Social Outreach Services - Enterprise
    Download the Dell Quick Resource Locator app today to access PowerEdge support content on your mobile device! (iOS, Android, Windows)

  • Same Problem Here

    I'm Have TL2000 Library with LTO6 Drive
    I purchase a new LTO7 Drive and replace the Drive in the Library (Using the Same sled)
    Update Library Firmare (E.30) using web GUI and the Drive Firmware (G9Q1) Using ITDI,(When Trying to Update Drive From Web GUI result in error "Error During Firmware Upgrade: IR: SCSI invalid opcode")
    refresh Logical Libraries & Drives but, still cant get the LTO7 to Work
    I can see In Drive Identity Menu the old Drive Type and SN
    How do i make the Library Work With the New Drive?

  • you can try going to "Configure Library: Logical Library" and updating it, or try rebooting the library unless you did or reset library to default as a last resort.